## sugar 0.117

=== debian/changelog ===
sugar (0.117-3build1) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as default.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Nov 2020 18:38:38 +0100

sugar (0.117-3) unstable; urgency=medium

  * copyright:
    + fix add copyright holder Agustin Zubiaga;
      thanks to Thorsten Alteholz
    + fix Upstream-Contact URL
  * add patches cherry-picked upstream to fix a range of issues:
    + fix DBusException using Moon activity
    + fix TypeError:
      Object of type DBusException is not JSON serializable
    + port to Python 3 - API Socket
  * drop custom rules to tune source when targeted experimental

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Jun 2020 10:32:19 +0200

sugar (0.117-2) unstable; urgency=medium

  * release targeted unstable;
    closes: bug#938581, thanks to Matthias Klose

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 18 Apr 2020 14:32:59 +0200

sugar (0.117-1) experimental; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * track packaging in branch debian/master (not master)
  * watch: fix matching-pattern
  * copyright: extend coverage

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 30 Mar 2020 15:25:49 +0200

sugar (0.116-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * stop have sucrose suggest python-sugar-toolkit gtk2-engines-sugar:
    obsolete
  * copyright:
    + list Github tracker as preferred upstream contact
    + extend coverage
  * relax to build-depend unversioned on python
  * simplify rules;
    stop build-depend on dh-buildinfo
  * stop fallback-recommend dbus-x11: obsolete
  * drop patches to use empy from system: adopted upstream
  * drop patches cherry-picked upstream: obsolete
  * build-depend on gir1.2-telepathyglib-0.12 (not python-telepathy)
  * stop suggest obsolete packages related to Maliit or GStreamer 0.10
  * use python3 (not python);
    build-depend on dh-python;
    closes: bug#938581
  * set Rules-Requires-Root: no
  * declare compliance with Debian Policy 4.5.0
  * use debhelper compatibility level 10 (not 9)
  * watch:
    + use https protocol
    + separate download URL from matching-pattern
    + rewrite usage comment
  * avoid shipping Python cache files

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 30 Mar 2020 15:02:55 +0200
