=== debian/control ===
Source: sugar
Section: x11
Priority: optional
Maintainer: Debian Sugar Team <pkg-sugar-devel@lists.alioth.debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>,
 Santiago Ruano Rincón <santiago@debian.org>,
Build-Depends:
 cdbs,
 debhelper,
 dh-python,
 gettext,
 intltool,
 libglib2.0-dev,
 libgtk-3-dev,
 python3,
 python3-dev,
 python3-empy,
 shared-mime-info,
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/pkg-sugar-team/sugar.git
Vcs-Browser: https://salsa.debian.org/pkg-sugar-team/sugar
Homepage: http://wiki.sugarlabs.org/go/Sugar
Rules-Requires-Root: no

Package: sucrose
Section: metapackages
Architecture: all
Depends:
 ${cdbs:Depends},
 ${misc:Depends},
Recommends:
 ${cdbs:Recommends},
Suggests:
 ${cdbs:Suggests},
Provides:
 ${cdbs:Provides},
 ${python3:Provides},
Conflicts:
 ${cdbs:Conflicts},
Replaces:
 ${cdbs:Replaces},
Description: Sugar Learning Platform - Sucrose
 Sugar Learning Platform promotes collaborative learning through Sugar
 Activities that encourage critical thinking, the heart of a quality
 education.  Designed from the ground up especially for children, Sugar
 offers an alternative to traditional “office-desktop” software.
 .
 This package depends on all packages which make up Sucrose, the
 official base Sugar environment.

Package: sugar-session
Architecture: all
Depends:
 ${cdbs:Depends},
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 ${cdbs:Recommends},
Suggests:
 ${cdbs:Suggests},
Provides:
 ${cdbs:Provides},
 ${python3:Provides},
Breaks:
 ${cdbs:Breaks},
Conflicts:
 ${cdbs:Conflicts},
Replaces:
 ${cdbs:Replaces},
Description: Sugar Learning Platform - window manager
 Sugar Learning Platform promotes collaborative learning through Sugar
 Activities that encourage critical thinking, the heart of a quality
 education.  Designed from the ground up especially for children, Sugar
 offers an alternative to traditional “office-desktop” software.
 .
 This package contains the integrated session and window manager Sugar.

Package: python3-jarabe
Section: python
Architecture: all
Depends:
 ${cdbs:Depends},
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 ${cdbs:Recommends},
Suggests:
 ${cdbs:Suggests},
Provides:
 ${cdbs:Provides},
 ${python3:Provides},
Breaks:
 ${cdbs:Breaks},
Conflicts:
 ${cdbs:Conflicts},
Replaces:
 ${cdbs:Replaces},
Description: Sugar Learning Platform - graphical shell
 Sugar Learning Platform promotes collaborative learning through Sugar
 Activities that encourage critical thinking, the heart of a quality
 education.  Designed from the ground up especially for children, Sugar
 offers an alternative to traditional “office-desktop” software.
 .
 "Jarabe" is Spanish for "Jelly" - a sugary layer spread on the surface.
 .
 This package contains the parts of Sugar Learning Platform immediately
 visible to the user - the views, the journal, and the control panel.
 .
 This is a graphical shell, the name does not refer to a command-line
 "shell" interface.
