## sugar 0.117-3%2B9.0trisquel2

=== debian/changelog ===
sugar (0.117-3+9.0trisquel2) etiona; urgency=medium

  * Backported from groovy

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 17 Oct 2020 21:31:16 +0000
