## sugar 0.117-3+10.0trisquel2

=== debian/changelog ===
sugar (0.117-3+10.0trisquel2) nabia; urgency=medium

  * Backported from groovy

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 06 Mar 2021 03:49:03 +0000
