## sugar 0.118

=== debian/changelog ===
sugar (0.118-2) unstable; urgency=medium

  * add patch cherry-picked upstream
    to fix Language control panel causing Sugar to hang;
    closes: bug#982662, thanks to James Cameron

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 13 Feb 2021 17:22:36 +0100

sugar (0.118-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update watch file: fix tracking URL
  * declare compliance with Debian Policy 4.5.1
  * copyright: update coverage
  * drop patches cherry-picked upstream since applied

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 27 Jan 2021 21:10:14 +0100
