=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  python3-dev,
  python3-empy,
  shared-mime-info,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/pkg-sugar-team/sugar.git
 Vcs-Browser: https://salsa.debian.org/pkg-sugar-team/sugar
 Homepage: http://wiki.sugarlabs.org/go/Sugar
