=== debian/rules ===
--- 
+++ 
@@ -49,8 +49,6 @@
 #  * fonts-dejavu-core (Sans Serif) used in data/sugar.schemas
 #  * mobile-broadband-provider-info used in extensions
 #  * policykit-1 (pkexec) used in jarabe.model.brightness
-# Never needed at runtime (loaded only on OLPC distribution):
-#  * jarabe view.viewhelp_webkit1 (GIR soup-2.4 webkit-3.0)
 python-depends-session = sugar3 jarabe dbus cairo
 gir-depends-session = glib-2.0 gtk-3.0 pango-1.0 xkl-1.0
 gir-depends-session += gudev-1.0 upowerglib-1.0 nm-1.0
