## sugar 0.118-2+10.0trisquel2

=== debian/changelog ===
sugar (0.118-2+10.0trisquel2) nabia; urgency=medium

  * Backported from impish for trisquel-sugar

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 31 Oct 2021 06:42:21 +0000
