=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
 Section: metapackages
 Architecture: all
 Depends:
- ${cdbs:Depends},
+ sugar-honey,
  ${misc:Depends},
 Recommends:
  ${cdbs:Recommends},
