## sugar 0.119

=== debian/changelog ===
sugar (0.119-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop patch cherry-picked upstream now applied
  * update copyright info:
    + sort authors by name
    + drop superfluous License-Grant fields identical to License
    + update coverage
    + use Reference field (not License-Reference);
      tighten lintian overrides
    + sort License sections by name
  * use semantic newlines in long description and copyright fields
  * declare compliance with Debian Policy 4.6.1

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 12 May 2022 17:25:34 +0200
