=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+# resolve DEB_UPSTREAM_VERSION
+include /usr/share/dpkg/pkg-info.mk
 
 # These need to be declared/run before CDBS includes
 pkg-jarabe = python3-jarabe
@@ -11,7 +14,6 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 
 comma = ,
-pkgbranch = $(subst $(space),.,$(wordlist 1, 2,$(subst .,$(space),$(DEB_UPSTREAM_VERSION))))
 pkg-sucrose = sucrose
 
 # Core activities
@@ -54,7 +56,7 @@
 gir-depends-session += gudev-1.0 upowerglib-1.0 nm-1.0
 depends-session = $(patsubst %,$(comma) python3-%,$(python-depends-session))
 depends-session +=, $(patsubst %,$(comma) gir1.2-%,$(gir-depends-session))
-depends-session +=, sugar-themes (>= $(pkgbranch))
+depends-session +=, sugar-themes (>= $(DEB_UPSTREAM_VERSION))
 python-depends-jarabe = sugar3 gwebsockets cairo dbus xapian
 gir-depends-jarabe = gdkpixbuf-2.0 glib-2.0 gtk-3.0 gtksource-3.0
 gir-depends-jarabe += gstreamer-1.0 wnck-3.0 sugarext-1.0 pango-1.0
