## sugar 0.120

=== debian/changelog ===
sugar (0.120-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * add patch cherry-picked upstream to fix load web pages
  * depend on pkexec (not policykit-1);
    closes: bug#1025629, thanks to Simon McVittie and James Cameron
  * declare compliance with Debian Policy 4.6.2
  * update git-buildpackage config:
    + use DEP-14 git branches
    + enable automatic DEP-14 branch name handling
    + add usage config
  * simplify source helper script copyright-check
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 27 Jan 2023 00:43:25 +0100
