=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  python3-dev,
  python3-empy,
  shared-mime-info,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/pkg-sugar-team/sugar.git
 Vcs-Browser: https://salsa.debian.org/pkg-sugar-team/sugar
 Homepage: http://wiki.sugarlabs.org/go/Sugar
