=== debian/rules ===
--- 
+++ 
@@ -50,7 +50,7 @@
 #  * xdg-user-dirs (xdg-user-dir) used in jarabe
 #  * fonts-dejavu-core (Sans Serif) used in data/sugar.schemas
 #  * mobile-broadband-provider-info used in extensions
-#  * policykit-1 (pkexec) used in jarabe.model.brightness
+#  * pkexec used in jarabe.model.brightness
 python-depends-session = sugar3 jarabe dbus cairo
 gir-depends-session = glib-2.0 gtk-3.0 pango-1.0 xkl-1.0
 gir-depends-session += gudev-1.0 upowerglib-1.0 nm-1.0
@@ -63,7 +63,7 @@
 gir-depends-jarabe += xkl-1.0 webkit2-4.0 telepathyglib-0.12
 depends-jarabe = $(patsubst %,$(comma) python3-%,$(python-depends-jarabe))
 depends-jarabe +=, $(patsubst %,$(comma) gir1.2-%,$(gir-depends-jarabe))
-depends-jarabe +=, metacity, policykit-1
+depends-jarabe +=, metacity, pkexec
 recommends-session = lsb-release, network-manager, modemmanager, ethtool
 recommends-session +=, upower, gvfs, tzdata, fonts-dejavu-core
 recommends-session +=, default-dbus-session-bus | dbus-session-bus
