## sugar 0.121

=== debian/changelog ===
sugar (0.121-3) unstable; urgency=medium

  * Team upload.
  * Patch-out the unused dependency on libsoup-3.0-dev

 -- Alexandre Detiste <tchet@debian.org>  Fri, 12 Sep 2025 11:51:25 +0200

sugar (0.121-2) unstable; urgency=medium

  * Team upload.
  * Replace CDBS build with plain DebHelper 13

 -- Alexandre Detiste <tchet@debian.org>  Sun, 17 Aug 2025 18:16:32 +0200

sugar (0.121-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop patch obsoleted by upstream changes
  * build-depend on libsoup-3.0-dev;
    tighten dependency on gir1.2-webkit2;
    have sugar-session break older sugar-browse-activity;
    closes: bug#1061531, thanks to Jeremy Bícha
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 06 Feb 2024 09:55:54 +0100
