=== debian/control ===
--- 
+++ 
@@ -6,9 +6,8 @@
  Jonas Smedegaard <dr@jones.dk>,
  Santiago Ruano Rincón <santiago@debian.org>,
 Build-Depends:
- cdbs,
- debhelper,
- dh-python,
+ debhelper-compat (= 13),
+ dh-sequence-python3,
  gettext,
  intltool,
  libglib2.0-dev,
@@ -17,29 +16,46 @@
  python3-dev,
  python3-empy,
  shared-mime-info,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/pkg-sugar-team/sugar.git
 Vcs-Browser: https://salsa.debian.org/pkg-sugar-team/sugar
 Homepage: http://wiki.sugarlabs.org/go/Sugar
-Rules-Requires-Root: no
+X-Style: black
 
 Package: sucrose
 Section: metapackages
 Architecture: all
 Depends:
- ${cdbs:Depends},
+ python3-carquinyol,
+ sugar-browse-activity,
+ sugar-calculate-activity,
+ sugar-chat-activity,
+ sugar-imageviewer-activity,
+ sugar-jukebox-activity,
+ sugar-log-activity,
+ sugar-pippy-activity,
+ sugar-read-activity,
+ sugar-session,
+ sugar-terminal-activity,
+ sugar-write-activity,
  ${misc:Depends},
 Recommends:
- ${cdbs:Recommends},
+ csound,
+ fonts-dejavu-extra,
+ gdb-minimal | gdb,
+ git,
+ gstreamer1.0-libav,
+ gstreamer1.0-plugins-bad,
+ gstreamer1.0-plugins-ugly,
+ ipython3,
+ olpc-powerd,
+ python3-elements,
 Suggests:
- ${cdbs:Suggests},
+ python3-sugar,
+ sugar-etoys-activity,
+ sugar-turtleart-activity,
 Provides:
- ${cdbs:Provides},
  ${python3:Provides},
-Conflicts:
- ${cdbs:Conflicts},
-Replaces:
- ${cdbs:Replaces},
 Description: Sugar Learning Platform - Sucrose
  Sugar Learning Platform promotes collaborative learning
  through Sugar Activities that encourage critical thinking,
@@ -52,24 +68,57 @@
 
 Package: sugar-session
 Architecture: all
+Breaks:
+ sugar-browse-activity (<< 207-3~),
 Depends:
- ${cdbs:Depends},
+ gir1.2-glib-2.0,
+ gir1.2-gtk-3.0,
+ gir1.2-gudev-1.0,
+ gir1.2-nm-1.0,
+ gir1.2-pango-1.0,
+ gir1.2-upowerglib-1.0,
+ gir1.2-xkl-1.0,
+ python3-cairo,
+ python3-dbus,
+ python3-jarabe,
+ python3-sugar3,
+ sugar-themes (>= 0.121),
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
+Provides:
+ sugar,
+ x-session-manager,
+ ${python3:Provides},
 Recommends:
- ${cdbs:Recommends},
+ default-dbus-session-bus | dbus-session-bus,
+ ethtool,
+ fonts-dejavu-core,
+ gvfs,
+ lsb-release,
+ mobile-broadband-provider-info,
+ modemmanager,
+ network-manager,
+ sugar-browse-activity,
+ sugar-calculate-activity,
+ sugar-chat-activity,
+ sugar-imageviewer-activity,
+ sugar-jukebox-activity,
+ sugar-log-activity,
+ sugar-pippy-activity,
+ sugar-read-activity,
+ sugar-terminal-activity,
+ sugar-write-activity,
+ telepathy-gabble,
+ telepathy-salut,
+ tzdata,
+ upower,
 Suggests:
- ${cdbs:Suggests},
-Provides:
- ${cdbs:Provides},
- ${python3:Provides},
-Breaks:
- ${cdbs:Breaks},
-Conflicts:
- ${cdbs:Conflicts},
-Replaces:
- ${cdbs:Replaces},
+ gdb-minimal | gdb,
+ olpc-powerd,
+ sucrose,
+ sugar-etoys-activity,
+ sugar-turtleart-activity,
 Description: Sugar Learning Platform - window manager
  Sugar Learning Platform promotes collaborative learning
  through Sugar Activities that encourage critical thinking,
@@ -83,23 +132,41 @@
 Section: python
 Architecture: all
 Depends:
- ${cdbs:Depends},
+ gir1.2-gdkpixbuf-2.0,
+ gir1.2-glib-2.0,
+ gir1.2-gstreamer-1.0,
+ gir1.2-gtk-3.0,
+ gir1.2-gtksource-3.0,
+ gir1.2-pango-1.0,
+ gir1.2-sugarext-1.0,
+ gir1.2-telepathyglib-0.12,
+ gir1.2-webkit2-4.1,
+ gir1.2-wnck-3.0,
+ gir1.2-xkl-1.0,
+ metacity,
+ pkexec,
+ python3-cairo,
+ python3-dbus,
+ python3-gwebsockets,
+ python3-sugar3,
+ python3-xapian,
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
+Provides:
+ notification-daemon,
+ ${python3:Provides},
 Recommends:
- ${cdbs:Recommends},
+ avahi-autoipd,
+ default-dbus-session-bus | dbus-session-bus,
+ libpam-systemd | consolekit,
+ modemmanager,
+ network-manager,
+ openssh-client,
+ python3-carquinyol,
+ xdg-user-dirs,
 Suggests:
- ${cdbs:Suggests},
-Provides:
- ${cdbs:Provides},
- ${python3:Provides},
-Breaks:
- ${cdbs:Breaks},
-Conflicts:
- ${cdbs:Conflicts},
-Replaces:
- ${cdbs:Replaces},
+ sugar-session,
 Description: Sugar Learning Platform - graphical shell
  Sugar Learning Platform promotes collaborative learning
  through Sugar Activities that encourage critical thinking,
