=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_test:
	:

execute_after_dh_auto_install:
	# Fix favor ISO 639-1 when differing from ISO 639-2
	mv debian/tmp/usr/share/locale/ibo debian/tmp/usr/share/locale/ig
	# avoid shipping Python cache files
	find debian/ -name '*.pyc' -delete
	find debian/ -name __pycache__ -empty -delete

# Core activities
# https://wiki.sugarlabs.org/go/Development_Team/Release/Modules#Fructose
fructose = chat browse read calculate log write terminal pippy etoys
fructose += imageviewer jukebox turtleart
# Core activities not in Debian main
fructose-relax = etoys turtleart

# Needed (always/often/sometimes) at runtime
#  * Glucose (at least current branch)
#  * network-manager (NM_SERVICE) used in extensions and jarabe
#    + modemmanager (NM_DEVICE_TYPE_MODEM) used in extensions and jarabe
#    + avahi-autoipd (NM_802_11_MODE_ADHOC) used in jarabe
#  * dbus-session-bus (bus.get_object) used in bin/sugar-launch, bin/sugar-erase-bundle, exensions and jarabe
#    + python3-carquinyol (org.laptop.sugar.DataStore) used in jarabe
#    + upower (org.freedesktop.UPower) used in extensions
#    + consolekit (org.freedesktop.ConsoleKit)
#      or systemd (org.freedesktop.login1) used in jarabe
#    + telepathy-mission-control-5 (ACCOUNT_MANAGER_SERVICE) used in jarabe
#    + ohmd (org.freedesktop.ohm) used in extensions jarabe
#  * metacity used in jarabe
#  * lsb-release (lsb_release) used in extensions
#  * tzdata (/usr/share/zoneinfo) used in extensions
#  * ethtool used in extensions
#  * openssh-client (ssh-keygen) used in jarabe
#  * olpc-powerd (/etc/powerd/flags) needed in extensions
#  * gdb used in bin/sugar-launch
#  * gvfs needed for GIO removable media support
#  * xdg-user-dirs (xdg-user-dir) used in jarabe
#  * fonts-dejavu-core (Sans Serif) used in data/sugar.schemas
#  * mobile-broadband-provider-info used in extensions
#  * pkexec used in jarabe.model.brightness
